Package org.springframework.security.web.servlet.support.csrf

# Class CsrfRequestDataValueProcessor

java.lang.Object
org.springframework.security.web.servlet.support.csrf.CsrfRequestDataValueProcessor

All Implemented Interfaces:
  `org.springframework.web.servlet.support.RequestDataValueProcessor`

public final class CsrfRequestDataValueProcessor extends Object implements org.springframework.web.servlet.support.RequestDataValueProcessor
Integration with Spring Web MVC that automatically adds the `CsrfToken` into forms with hidden inputs when using Spring tag libraries.

Since:
  3.2

## Constructor Summary

Constructors
Constructor
Description
`CsrfRequestDataValueProcessor()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getExtraHiddenFields(jakarta.servlet.http.HttpServletRequest request)`
`String`
`processAction(jakarta.servlet.http.HttpServletRequest request, String action)`
`String`
`processAction(jakarta.servlet.http.HttpServletRequest request, String action, String method)`
`String`
`processFormFieldValue(jakarta.servlet.http.HttpServletRequest request, String name, String value, String type)`
`String`
`processUrl(jakarta.servlet.http.HttpServletRequest request, String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CsrfRequestDataValueProcessor

public CsrfRequestDataValueProcessor()

## Method Details

### processAction

public String processAction(jakarta.servlet.http.HttpServletRequest request, String action)

### processAction

public String processAction(jakarta.servlet.http.HttpServletRequest request, String action, String method)

Specified by:
  `processAction` in interface `org.springframework.web.servlet.support.RequestDataValueProcessor`

### processFormFieldValue

public String processFormFieldValue(jakarta.servlet.http.HttpServletRequest request, String name, String value, String type)

Specified by:
  `processFormFieldValue` in interface `org.springframework.web.servlet.support.RequestDataValueProcessor`

### getExtraHiddenFields

public Map<String,String> getExtraHiddenFields(jakarta.servlet.http.HttpServletRequest request)

Specified by:
  `getExtraHiddenFields` in interface `org.springframework.web.servlet.support.RequestDataValueProcessor`

### processUrl

public String processUrl(jakarta.servlet.http.HttpServletRequest request, String url)

Specified by:
  `processUrl` in interface `org.springframework.web.servlet.support.RequestDataValueProcessor`